> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/frkn-resources/frkn-racing/config-settings.md).

# Config Settings

### 🔧 Configuration Options (config.lua)

```lua
FRKN = {
	ServerCallbacks = {},

	FlagProp = "tr_prop_tr_flag_01a",  -- stt_prop_flagpole_2e ,  stt_prop_flagpole_1e

	Item = {
		config = false, -- Set to true if you want to use the item system
		["racechip"] = "racechip",
		["trackchip"] = "trackchip",
		["racetablet"] = "racetablet",
	},

	RacePrizeType = "car",

	RacingTablet = "racing_tablet", --tablet item name

	StartTime = 3, --Duration of car freeze at the start of the race

	CountdownTime = 0, --Enter how many hours apart you can restart a race

	DisqualifiedTime = 20, --If a player gets out of the car during the race, they are disqualified from the race after this amount of time.

	propList = {
		"prop_offroad_barrel01",
		"prop_offroad_barrel02",
		"prop_beachflag_le",
		"prop_air_bagloader",
		"prop_barrier_work05",
		"prop_mp_cone_01",
		"prop_mp_barrier_02b",
		"prop_roadcone02a",
	},
	
	Sound = {
		EnableCheckpointSound = true, -- Set to false to disable the sound of Checkpoints
		CheckpointSound = "heartmonbeat", -- Sound name
		CheckpointSoundVolume = 0.5 -- Sound volume
	},

	DriftBlacklist = { -- The cars you add here will not be able to open drift modes even in drift mode. (If you have a car with a special drift setting, you can write here)
		'adder',
		'bullet',
		'cheetah',
		'entityxf',
	},

	Notify = {
		["join"] = "You successfully participated in the race",
		["incar"] = "Get back in the car",
        ["disqualified"] = "You are disqualified from the race",
		["raceover"] = "The race is over! You've completed all the laps.",
        ["raceovertime"] = "Race is over! Time's up.",
        ["racejoin"] = "You have joined the race.",
		["timeproblem"] = "You cannot start a race yet. You need to wait %d minutes to start a race"
	},

	Rating = { 	 --40 = 1st place , 30 = 2nd place , 20 = 3rd place ... -- Rating for the players
		40, 30, 20, 10, 0, -5, -10, -12, -14, -16, -20, -25, -30, -35, -40
	}, 

	XP = { --50 = 1st place , 40 = 2nd place , 30 = 3rd place ... XP for the players
		50, 40, 30, 20, 10, 5, 3, 2, 1
	},

	Auth = {
		config = false, -- Set to true if you want to use the authorization system
		authorization = {
			'AZI27977',
		}
	},

	handlingPresets = {
		["sport"] = {
			fInitialDragCoeff = 8.0,
			fInitialDriveForce = 0.35,
			fBrakeForce = 1.2,
			fSteeringLock = 40.0
		},
		["drift"] = {
			fInitialDragCoeff = 0.5,
			fInitialDriveForce = 0.25,
			fBrakeForce = 0.3, 
			fSteeringLock = 65.0 
		},
		["normal"] = {
			fInitialDragCoeff = 10.0,
			fInitialDriveForce = 0.32,
			fBrakeForce = 1.0,
			fSteeringLock = 35.0
		},
		["drag"] = {
			fInitialDragCoeff = 1.0,
			fInitialDriveForce = 0.5,
			fBrakeForce = 0.8,
			fSteeringLock = 20.0
		}
	},	

}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0resmon.org/0resmon/frkn-resources/frkn-racing/config-settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
